Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.task.protegereasoner
Class AbstractSingleConceptWithConceptCollectionResultTask

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.task.protegereasoner.AbstractReasonerTask
          edu.stanford.smi.protegex.owl.inference.protegeowl.task.protegereasoner.AbstractSingleConceptWithConceptCollectionResultTask

All Implemented Interfaces:
  CollectionResultReasonerTask, ReasonerTask

Direct Known Subclasses:
  GetAncestorConceptsTask, GetDescendantConceptsTask, GetEquivalentConceptsTask, GetSubConceptsTask, GetSuperConceptsTask

    public abstract class AbstractSingleConceptWithConceptCollectionResultTask

extends AbstractReasonerTask
implements CollectionResultReasonerTask

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Aug 17, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

An abstract base class for task that take a single concept as a parameter, and return a collection of concepts as a result.

Constructor Summary
`AbstractSingleConceptWithConceptCollectionResultTask(String taskDescription, OWLClass aClass, ProtegeReasoner protegeReasoner)`

Method Summary
`protected OWLClass` | `getCls()`
`protected ProtegeReasoner` | `getProtegeReasoner()`
`abstract Collection` | `getQueryResults()` This method must be implemented by concrete subclasses.
`Collection` | `getResult()`
`int` | `getTaskSize()` Gets the size of the task.
`void` | `run()` Executes the task.

Methods inherited from class edu.stanford.smi.protegex.owl.inference.protegeowl.task.protegereasoner.AbstractReasonerTask
`addTaskListener, doAbortCheck, fireDescriptionChangedEvent, fireMessageChangedEvent, fireProgressChangedEvent, fireProgressIndeterminateChnaged, fireTaskCompletedEvent, fireTaskFailedEvent, getDescription, getMessage, getProgress, isProgressIndeterminate, isRequestAbort, postLogRecord, removeTaskListener, setDescription, setMessage, setProgress, setProgressIndeterminate, setRequestAbort, setTaskCompleted, setTaskFailed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.inference.protegeowl.task.ReasonerTask
`addTaskListener, getDescription, getMessage, getProgress, isProgressIndeterminate, isRequestAbort, removeTaskListener, setRequestAbort`

Constructor Detail

### AbstractSingleConceptWithConceptCollectionResultTask

    public AbstractSingleConceptWithConceptCollectionResultTask(String taskDescription,
                                                                OWLClass aClass,
                                                                ProtegeReasoner protegeReasoner)

Method Detail

### getTaskSize

    public int getTaskSize()

  Description copied from interface: `ReasonerTask`
  Gets the size of the task. When the progress reaches this size, the task should be complete.

  Specified by:
    `getTaskSize` in interface `ReasonerTask`

### run

    public void run()
             throws ProtegeReasonerException

  Description copied from interface: `ReasonerTask`
  Executes the task.

  Specified by:
    `run` in interface `ReasonerTask`
  Throws:
    `ProtegeReasonerException`

### getResult

    public Collection getResult()

  Specified by:
    `getResult` in interface `CollectionResultReasonerTask`

### getQueryResults

    public abstract Collection getQueryResults()
                                        throws ProtegeReasonerException

  This method must be implemented by concrete subclasses. It will be called by the run method.

  Throws:
    `ProtegeReasonerException`

### getCls

    protected OWLClass getCls()

### getProtegeReasoner

    protected ProtegeReasoner getProtegeReasoner()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.